Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 26 Apr 2022 16:32:39 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Good evening! I just want to inquire about my order's delivery where your driver didn't deliver and don't communicate well before delivering my order. I told him to deliver it to the floor where I work with and he said yes then he did not come after that I received a message from centerpoint that the delivery failed. Actually centerpoint has the worst experience of delivery I have. Other online drivers are good. They communicate clearly. I tried to call him back but he cancelled my calls. My tracking number is 6138441666 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4241916